跳转到主要内容
POST
/
v1
/
videos
Create Video
curl --request POST \
  --url https://utoken-test.uuzu.com/v1/videos \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'model=<string>' \
  --form 'prompt=<string>' \
  --form 'image=<string>' \
  --form duration=123 \
  --form width=123 \
  --form height=123 \
  --form fps=123 \
  --form seed=123 \
  --form n=123 \
  --form 'response_format=<string>' \
  --form 'user=<string>' \
  --form 'metadata={}'
{
  "id": "<string>",
  "object": "<string>",
  "model": "<string>",
  "status": "<string>",
  "progress": 123,
  "created_at": 123,
  "seconds": "<string>",
  "completed_at": 123,
  "expires_at": 123,
  "size": "<string>",
  "error": {
    "message": "<string>",
    "code": "<string>"
  },
  "metadata": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.utoken.wgame-hk.com/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Use Bearer Token authentication Format: Authorization: Bearer sk-xxxxxx

请求体

multipart/form-data

Video generation request

model
string

Model/Style ID

示例:

"kling-v1"

prompt
string

Text description prompt

示例:

"An astronaut stood up and walked"

image
string

Image input (URL or Base64)

示例:

"https://example.com/image.jpg"

duration
number

Video duration (seconds)

示例:

5

width
integer

Video width

示例:

1280

height
integer

Video height

示例:

720

fps
integer

Video frame rate

示例:

30

seed
integer

Random seed

示例:

20231234

n
integer

Number of videos to generate

示例:

1

response_format
string

Response format

示例:

"url"

user
string

User identifier

示例:

"user-1234"

metadata
object

Extended parameters (e.g., negative_prompt, style, quality_level, etc.)

响应

Success - Video task created

id
string
必填

Video ID

object
string
必填

Object Type

model
string
必填

Model used

status
string
必填

Task Status

progress
integer
必填

Progress percentage

created_at
integer
必填

Created Timestamp

seconds
string
必填

Video duration

completed_at
integer

Completion timestamp

expires_at
integer

Expiration timestamp

size
string

Video dimensions

error
object

OpenAI video error message

metadata
object

Additional metadata